Bug 467707 - Laptop display + HDTV + X starts (GDM) == both displays black..
Laptop display + HDTV + X starts (GDM) == both displays black..
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 09:01 EDT by Jóhann B. Guðmundsson
Modified: 2009-12-18 01:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:36:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg Log (59.70 KB, text/plain)
2008-11-29 04:44 EST, Jóhann B. Guðmundsson
no flags Details
Xorg Log startx Run Level 3 (29.99 KB, text/plain)
2008-11-29 04:45 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2008-10-20 09:01:01 EDT
Description of problem:
When having my T61p in the dock which is hooked up to my
HDTV as soon as X starts (GDM) both the LCD on the laptop
and the "TV" turn black..

Version-Release number of selected component (if applicable):

Latest rawhide 

How reproducible:

Always.

Steps to Reproduce:
1. Start the laptop in the dock
2. whats display being shown 
3. 
  
Actual results:

As soon as X starts both display go black.

Expected results:

As soon as X starts either the display output to 
be set on the LCD or the TV or both.

Additional info:

If I dock the laptop after X has started everything works OK.

I'm not sure how to get any "logs" since the display on the laptop 
is black even if I un-dock it stay's black.

So I recommend that ye just dock a laptop and have the dock hooked up 
to an external monitor/tv and boot, the boot process gets display ok but as soon as X start both should go black.
Comment 1 Matěj Cepl 2008-10-24 10:46:17 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jóhann B. Guðmundsson 2008-10-24 11:34:51 EDT
So I quote my self from the additional field you apparently forgot 
to read before setting this bug to needinfo status + you should know 
already that haven't used xorg.conf file since F8 and I dont need to be told
twice that you want your logs file uncompressed and in separated files.... 

"I'm not sure how to get any "logs" since the display on the laptop 
is black even if I un-dock it stay's black."

I'm going to see if I can get my hands on additional hardware and 
ssh into the machine if it aint frozen when this happens..
Comment 3 Matěj Cepl 2008-10-24 19:07:40 EDT
(In reply to comment #2)
> "I'm not sure how to get any "logs" since the display on the laptop 
> is black even if I un-dock it stay's black."

You can add to end of the kernel command line (press a in the initial boot grub menu) and add 3 there. You will get Linux just in the text mode, and there you can copy /var/log/Xorg.0.log somewhere (USB stick?, somewhere over the network?, something). When you don't have /etc/X11/xorg.conf, just create one with this content:

Section "Device"
	Identifier  "Videocard0"
	Driver      "vesa"
EndSection

Let us know how it goes and attach us both /var/log/Xorg.* from both attempts.
Comment 4 Matěj Cepl 2008-11-24 11:14:30 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Jóhann B. Guðmundsson 2008-11-24 11:24:48 EST
Patience my good man have been moving... Will get of my lazy ass and wall mounting the HDTV and hook up the system at the new place..
Comment 6 Bug Zapper 2008-11-25 23:02:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jóhann B. Guðmundsson 2008-11-29 04:43:24 EST
Well HDTV in it's place and testing performed. 

Things seem to be going from bad to worse...

First the resolution/size that gets set as soon as the kernels starts to load
is wrong.

( This has gone worse. I think it settled on mutual resolution of both the laptop and the HDTV which is 1400x1050 )

Now when booting up the laptop in the dock which is hooked up to the HDTV the output is set HDTV only instead of both ( Laptop/HDTV )

( This has gone worse used to display both )

Booting up in run level 3 and running startx from cli results in black screen

Booting the laptop in run level 5 then docking it and change the resolution with 
"gnome-display-properties" ( which identifies the monitor incorrectly as 7" samsung monitor ) as in set the resolution to 1920x1080 result in top and bottom panel not being visible. ( same thing is happening at startup as in the resolution/size being wrong )

Guess you can add this to the list when the top and bottom panel in gnome dont stretch properly to the end of the screen along with the icons/font always messing up when you switch between the latop and the HDTV ( going from 1920x1080 ( HTDV ) <---> 1920x1200 ( Laptop LCD )
Comment 8 Jóhann B. Guðmundsson 2008-11-29 04:44:05 EST
Created attachment 325072 [details]
Xorg Log
Comment 9 Jóhann B. Guðmundsson 2008-11-29 04:45:34 EST
Created attachment 325073 [details]
Xorg Log startx Run Level 3
Comment 10 Bug Zapper 2009-11-18 03:36:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:36:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.